package com.persagy.config;

import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: yaoll
 * @date: 2020-09-22
 * @verison: 1.0
 */
@Configuration
public class RabbitmqMsgConverterConfig {
    // JMS 使用
    @Bean
    public MessageConverter customMessageConvert() {
        return new Jackson2JsonMessageConverter();
    }
}
